"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/** Used for identifiers. If the name is illegal Typescript, put it in quotes. */
var escapeName = function (name) {
    var isLegalIdentifier = true;
    if (name.length === 0 || name.trim() !== name) {
        isLegalIdentifier = false;
    }
    try {
        new Function('var ' + name);
    }
    catch (_) {
        isLegalIdentifier = false;
    }
    return isLegalIdentifier ? name : "'".concat(name, "'");
};
exports.default = escapeName;
